# $Revision: 1.11 $, $Date: 2009/06/15 07:32:17 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Algorithm
%define	pnam	C3
Summary:	Algorithm::C3 - A module for merging hierarchies using the C3 algorithm
Summary(pl.UTF-8):	Algorithm::C3 - moduł do łączenia hierarchii przy użyciu algorytmu C3
Name:		perl-Algorithm-C3
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	07afb08682125c875b80c315d99f6f95
URL:		http://search.cpan.org/dist/Algorithm-C3/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C3 is the name of an algorithm which aims to provide a sane method
resolution order under multiple inheritance. It was first introduced
in the Dylan language (see links in the manual SEE ALSO section), and
then later adopted as the preferred MRO (Method Resolution Order) for
the new-style classes in Python 2.3. Most recently it has been adopted
as the 'canonical' MRO for Perl 6 classes, and the default MRO for
Parrot objects as well.

%description -l pl.UTF-8
C3 to nazwa algorytmu, którego celem jest dostarczenie rozsądnej
kolejności rozwiązywania metod przy wielokrotnym dziedziczeniu. Po raz
pierwszy został wprowadzony w języku Dylan (odnośniki w sekcji SEE
ALSO manuala), a następnie zaadoptowany jako preferowana MRO (Method
Resolution Order - kolejność rozwiązywania metod) dla nowego stylu
klas w Pythonie 2.3. Ostatnio został zaadoptowany jako "kanoniczna"
MRO dla klas Perla 6 i domyślna MRO dla obiektów Parrota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Algorithm/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Algorithm-C3.spec,v $
Revision 1.11  2009/06/15 07:32:17  amateja
- updated to 0.08

Revision 1.10  2007/12/01 18:06:11  agaran
- up to 0.07, builds here

Revision 1.9  2007-03-31 17:12:07  qboosh
- generic URL
- BR: perl-Module-Build

Revision 1.8  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.6  2007/02/09 23:13:53  radek
- version 0.06

Revision 1.5  2006/09/25 07:12:16  radek
- version 0.05, fixed Source0 URL

Revision 1.4  2006/08/12 16:53:35  migo
- up to 0.04

Revision 1.3  2006/04/15 13:29:20  qboosh
- en fix

Revision 1.2  2006/04/15 11:45:01  qboosh
- pl

Revision 1.1  2006/04/08 12:11:27  migo
- initial revision
